> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flowengineering.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all categories



## OpenAPI

````yaml /openapi/customer-api.json get /project/{projectId}/data-model
openapi: 3.0.0
info:
  contact: {}
  description: >-
    Flow customer API reference. Start with the [quickstart](/api/quickstart)
    and [authentication guide](/api/authentication).
  title: Customer API
  version: 1.0.0
servers:
  - description: Flow API
    url: https://backend.branch.flowengineering.com
security: []
tags:
  - name: Automations
  - name: Branches
  - name: Comments
  - name: Convert
  - name: Data Model
  - name: Diagrams
  - name: Entities
  - name: Files
  - name: Import
  - name: Notifications
  - name: Projects
  - name: ReqIF
  - name: ReqIF Import
  - name: Shared Access Grants
  - name: User Groups
  - name: Users
paths:
  /project/{projectId}/data-model:
    get:
      tags:
        - Data Model
      summary: List all categories
      operationId: CustomerCategoriesController_findAll
      parameters:
        - in: path
          name: projectId
          required: true
          schema:
            type: string
        - description: Workspace identifier
          in: header
          name: customer
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/CustomerCategoryResponseDto'
                type: array
          description: ''
      security:
        - api-key: []
        - bearer: []
components:
  schemas:
    CustomerCategoryResponseDto:
      properties:
        builtin:
          type: boolean
        categoryType:
          enum:
            - folder
            - item
          type: string
        fields:
          items:
            $ref: '#/components/schemas/CustomerFieldResponseDto'
          type: array
        humanIdPrefix:
          type: string
        humanIdPrefixLocked:
          type: boolean
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
        - categoryType
        - builtin
        - fields
        - humanIdPrefix
        - humanIdPrefixLocked
      type: object
    CustomerFieldResponseDto:
      properties:
        key:
          type: string
        multi:
          type: boolean
        name:
          type: string
        tags:
          items:
            $ref: '#/components/schemas/CustomerTagResponseDto'
          type: array
        type:
          type: string
      required:
        - key
        - name
        - type
      type: object
    CustomerTagResponseDto:
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - name
      type: object
  securitySchemes:
    api-key:
      in: header
      name: X-API-Key
      type: apiKey
    bearer:
      bearerFormat: JWT
      scheme: bearer
      type: http

````